Skip to main content
`Ctrl`+`K`

# DMLocalToLocalEnd

Maps from a local vector to another local vector where the ghost points in the second are set correctly. Must be preceded by `DMLocalToLocalBegin()`.

## Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMLocalToLocalEnd(DM dm, Vec g, InsertMode mode, Vec l)

Neighbor-wise Collective

## Input Parameters

- dm - the `DM` object

- g - the original local vector

- mode - one of `INSERT_VALUES` or `ADD_VALUES`

## Output Parameter

- l - the local vector with correct ghost values

## See Also

DM Basics, `DM`, `DMLocalToLocalBegin()`, `DMCoarsen()`, `DMDestroy()`, `DMView()`, `DMCreateLocalVector()`, `DMCreateGlobalVector()`, `DMCreateInterpolation()`, `DMGlobalToLocalEnd()`, `DMLocalToGlobalBegin()`

## Level

intermediate

## Location

src/dm/interface/dm.c

## Examples

src/dm/tutorials/ex13f90.F90

## Implementations

DMLocalToLocalEnd_Composite() in src/dm/impls/composite/pack.c
DMLocalToLocalEnd_DA() in src/dm/impls/da/daltol.c
DMLocalToLocalEnd_Stag() in src/dm/impls/stag/stag.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages